# CodeString class

(Shortest import: `from brian2.equations.codestrings import CodeString)`

class brian2.equations.codestrings.CodeString(code)

  Bases: `Hashable`

  A class for representing “code strings”, i.e. a single Python expression or a sequence of Python statements.

  Parameters:

    code : str

    > The code string, may be an expression or a statement(s) (possibly multi-line).

  Attributes

  `code` | The code string

  Details

  code

    The code string